#!perl -w

use strict;
use Getopt::Long;
use Data::Collection qw/read_directory/;

Getopt::Long::Configure ("bundling_override");

#######################
# Option variable with default value (false)

my ($help, $version, $disk_location, $disk_name, $verbose, $decompress, %options) = ( '', '', '', '', '', '', () );

GetOptions ('help!' => \$help, 'h!' => \$help, 'disk_location|location=s' => \$disk_location, 'l=s' => \$disk_location,
'disk_name|name=s' => \$disk_name, 'n=s' => \$disk_name, 'verbose=s' => \$verbose, 'e=s' => \$verbose,
'decompress=s' => \$decompress, 'd=s' => \$decompress, 'version!' => \$version, 'v!' => \$version);

#######################
# Retrieve command-line options

$options{help} = $help;
$options{version} = $version;
$options{disk_location} = $disk_location;
$options{disk_name} = $disk_name;
$options{verbose} = $verbose;
$options{decompress} = $decompress;

my $dc = Data::Collection->new($disk_location, $disk_name, {help => $help, version => $version, verbose => $verbose, decompress => $decompress});
my $info = $dc->read_directory();

print $$info;

exit(0);
